<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:12 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>Manifest (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Manifest (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/api/java/archives/Attributes.html" title="interface in org.gradle.api.java.archives"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../org/gradle/api/java/archives/ManifestException.html" title="class in org.gradle.api.java.archives"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/api/java/archives/Manifest.html" target="_top">Frames</a></li>
<li><a href="Manifest.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.api.java.archives</div>
<h2 title="Interface Manifest" class="title">Interface Manifest</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Known Subinterfaces:</dt>
<dd><a href="../../../../../org/gradle/api/plugins/osgi/OsgiManifest.html" title="interface in org.gradle.api.plugins.osgi">OsgiManifest</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="strong">Manifest</span></pre>
<div class="block">Represents the manifest file of a JAR file.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/java/archives/Manifest.html" title="interface in org.gradle.api.java.archives">Manifest</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/java/archives/Manifest.html#attributes(java.util.Map)">attributes</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,?&gt;&nbsp;attributes)</code>
<div class="block">Adds content to the main attributes of the manifest.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/java/archives/Manifest.html" title="interface in org.gradle.api.java.archives">Manifest</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/java/archives/Manifest.html#attributes(java.util.Map,%20java.lang.String)">attributes</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,?&gt;&nbsp;attributes,
          <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;sectionName)</code>
<div class="block">Adds content to the given section of the manifest.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/java/archives/Manifest.html" title="interface in org.gradle.api.java.archives">Manifest</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/java/archives/Manifest.html#from(java.lang.Object...)">from</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>...&nbsp;mergePath)</code>
<div class="block">Specifies other manifests to be merged into this manifest.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/java/archives/Manifest.html" title="interface in org.gradle.api.java.archives">Manifest</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/java/archives/Manifest.html#from(java.lang.Object,%20groovy.lang.Closure)">from</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;mergePath,
    <a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&lt;?&gt;&nbsp;closure)</code>
<div class="block">Specifies other manifests to be merged into this manifest.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/java/archives/Attributes.html" title="interface in org.gradle.api.java.archives">Attributes</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/java/archives/Manifest.html#getAttributes()">getAttributes</a></strong>()</code>
<div class="block">Returns the main attributes of the manifest.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/java/archives/Manifest.html" title="interface in org.gradle.api.java.archives">Manifest</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/java/archives/Manifest.html#getEffectiveManifest()">getEffectiveManifest</a></strong>()</code>
<div class="block">Returns a new manifest instance where all the attribute values are expanded (e.g.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="../../../../../org/gradle/api/java/archives/Attributes.html" title="interface in org.gradle.api.java.archives">Attributes</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/java/archives/Manifest.html#getSections()">getSections</a></strong>()</code>
<div class="block">Returns the sections of the manifest (excluding the main section).</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/java/archives/Manifest.html" title="interface in org.gradle.api.java.archives">Manifest</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/java/archives/Manifest.html#writeTo(java.lang.Object)">writeTo</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;path)</code>
<div class="block">Writes the manifest into a file.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getAttributes()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAttributes</h4>
<pre><a href="../../../../../org/gradle/api/java/archives/Attributes.html" title="interface in org.gradle.api.java.archives">Attributes</a>&nbsp;getAttributes()</pre>
<div class="block">Returns the main attributes of the manifest.</div>
</li>
</ul>
<a name="getSections()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSections</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="../../../../../org/gradle/api/java/archives/Attributes.html" title="interface in org.gradle.api.java.archives">Attributes</a>&gt;&nbsp;getSections()</pre>
<div class="block">Returns the sections of the manifest (excluding the main section).</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>A map with the sections, where the key represents the section name and value the section attributes.</dd></dl>
</li>
</ul>
<a name="attributes(java.util.Map)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>attributes</h4>
<pre><a href="../../../../../org/gradle/api/java/archives/Manifest.html" title="interface in org.gradle.api.java.archives">Manifest</a>&nbsp;attributes(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,?&gt;&nbsp;attributes)
                    throws <a href="../../../../../org/gradle/api/java/archives/ManifestException.html" title="class in org.gradle.api.java.archives">ManifestException</a></pre>
<div class="block">Adds content to the main attributes of the manifest.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>attributes</code> - The values to add to the main attributes. The values can be any object. For evaluating the value objects
 their <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#toString()" title="class or interface in java.lang"><code>Object.toString()</code></a> method is used. This is done lazily either before writing or when <a href="../../../../../org/gradle/api/java/archives/Manifest.html#getEffectiveManifest()"><code>getEffectiveManifest()</code></a>
 is called.</dd>
<dt><span class="strong">Returns:</span></dt><dd>this</dd>
<dt><span class="strong">Throws:</span></dt>
<dd><code><a href="../../../../../org/gradle/api/java/archives/ManifestException.html" title="class in org.gradle.api.java.archives">ManifestException</a></code> - If a key is invalid according to the manifest spec or if a key or value is null.</dd></dl>
</li>
</ul>
<a name="attributes(java.util.Map, java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>attributes</h4>
<pre><a href="../../../../../org/gradle/api/java/archives/Manifest.html" title="interface in org.gradle.api.java.archives">Manifest</a>&nbsp;attributes(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,?&gt;&nbsp;attributes,
                  <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;sectionName)
                    throws <a href="../../../../../org/gradle/api/java/archives/ManifestException.html" title="class in org.gradle.api.java.archives">ManifestException</a></pre>
<div class="block">Adds content to the given section of the manifest.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>attributes</code> - The values to add to the section. The values can be any object. For evaluating the value objects
 their <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#toString()" title="class or interface in java.lang"><code>Object.toString()</code></a> method is used. This is done lazily either before writing or when <a href="../../../../../org/gradle/api/java/archives/Manifest.html#getEffectiveManifest()"><code>getEffectiveManifest()</code></a>
 is called.</dd><dd><code>sectionName</code> - The name of the section</dd>
<dt><span class="strong">Returns:</span></dt><dd>this</dd>
<dt><span class="strong">Throws:</span></dt>
<dd><code><a href="../../../../../org/gradle/api/java/archives/ManifestException.html" title="class in org.gradle.api.java.archives">ManifestException</a></code> - If a key is invalid according to the manifest spec or if a key or value is null.</dd></dl>
</li>
</ul>
<a name="getEffectiveManifest()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEffectiveManifest</h4>
<pre><a href="../../../../../org/gradle/api/java/archives/Manifest.html" title="interface in org.gradle.api.java.archives">Manifest</a>&nbsp;getEffectiveManifest()</pre>
<div class="block">Returns a new manifest instance where all the attribute values are expanded (e.g. their toString method is called).
 The returned manifest also contains all the attributes of the to be merged manifests specified in <a href="../../../../../org/gradle/api/java/archives/Manifest.html#from(java.lang.Object...)"><code>from(Object...)</code></a>.</div>
</li>
</ul>
<a name="writeTo(java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>writeTo</h4>
<pre><a href="../../../../../org/gradle/api/java/archives/Manifest.html" title="interface in org.gradle.api.java.archives">Manifest</a>&nbsp;writeTo(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;path)</pre>
<div class="block">Writes the manifest into a file. The path's are resolved as defined by <a href="../../../../../org/gradle/api/Project.html#files(java.lang.Object...)"><code>Project.files(Object...)</code></a>

 The manifest will be encoded using the character set defined by the <a href="../../../../../org/gradle/jvm/tasks/Jar.html#getManifestContentCharset()"><code>Jar.getManifestContentCharset()</code></a> property.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>path</code> - The path of the file to write the manifest into.</dd>
<dt><span class="strong">Returns:</span></dt><dd>this</dd></dl>
</li>
</ul>
<a name="from(java.lang.Object...)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>from</h4>
<pre><a href="../../../../../org/gradle/api/java/archives/Manifest.html" title="interface in org.gradle.api.java.archives">Manifest</a>&nbsp;from(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>...&nbsp;mergePath)</pre>
<div class="block">Specifies other manifests to be merged into this manifest. A merge path can either be another instance of
 <a href="../../../../../org/gradle/api/java/archives/Manifest.html" title="interface in org.gradle.api.java.archives"><code>Manifest</code></a> or a file path as interpreted by <a href="../../../../../org/gradle/api/Project.html#files(java.lang.Object...)"><code>Project.files(Object...)</code></a>.

 The merge is not happening instantaneously. It happens either before writing or when <a href="../../../../../org/gradle/api/java/archives/Manifest.html#getEffectiveManifest()"><code>getEffectiveManifest()</code></a>
 is called.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>this</dd></dl>
</li>
</ul>
<a name="from(java.lang.Object, groovy.lang.Closure)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>from</h4>
<pre><a href="../../../../../org/gradle/api/java/archives/Manifest.html" title="interface in org.gradle.api.java.archives">Manifest</a>&nbsp;from(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;mergePath,
            <a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&lt;?&gt;&nbsp;closure)</pre>
<div class="block">Specifies other manifests to be merged into this manifest. A merge path is interpreted as described in
 <a href="../../../../../org/gradle/api/java/archives/Manifest.html#from(java.lang.Object...)"><code>from(Object...)</code></a>.

 The merge is not happening instantaneously. It happens either before writing or when <a href="../../../../../org/gradle/api/java/archives/Manifest.html#getEffectiveManifest()"><code>getEffectiveManifest()</code></a>
 is called.

 The closure configures the underlying <a href="../../../../../org/gradle/api/java/archives/ManifestMergeSpec.html" title="interface in org.gradle.api.java.archives"><code>ManifestMergeSpec</code></a>.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>this</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/api/java/archives/Attributes.html" title="interface in org.gradle.api.java.archives"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../org/gradle/api/java/archives/ManifestException.html" title="class in org.gradle.api.java.archives"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/api/java/archives/Manifest.html" target="_top">Frames</a></li>
<li><a href="Manifest.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
